Bug 870616

Summary: grub2-mkconfig command failed with error if there run in Punjabi (pa) locale
Product: [Fedora] Fedora Reporter: A S Alam <aalam>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: bcl, dcantrell, dennis, mads, mshao, pjones, smaitra
Target Milestone: ---Keywords: i18n, Translation
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:32:07 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description A S Alam 2012-10-27 06:15:09 EDT
Description of problem:
while trying to configure Windows 8 with Fedora and system running in non-English (Punjabi locale), grub2-mkconfig command with following:

---
/usr/share/grub/grub-mkconfig_lib: line 276: printf: `$': invalid format character
---

pa_IN.UTF-8
---
sudo grub2-mkconfig -o /boot/grub2/grub.cfg 
...grub.cfg ਤਿਆਰ ਕੀਤੀ ਜਾ ਰਹੀ ਹੈ
ਥੀਮ ਲੱਭਿਆ: /boot/grub2/themes/system/theme.txt
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.6.3-3.fc18.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.6.3-3.fc18.x86_64.img
/usr/share/grub/grub-mkconfig_lib: line 276: printf: `�': invalid format character
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.6.2-2.fc18.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.6.2-2.fc18.x86_64.img
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.6.1-1.fc18.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.6.1-1.fc18.x86_64.img
  No volume groups found
/usr/share/grub/grub-mkconfig_lib: line 276: printf: `$': invalid format character


en_US:
---
export LANG=en_US.UTF-8
[aman@spacehawk ~]$ sudo grub2-mkconfig -o /boot/grub2/grub.cfg 
Generating grub.cfg ...
Found theme: /boot/grub2/themes/system/theme.txt
Found linux image: /boot/vmlinuz-3.6.3-3.fc18.x86_64
Found initrd image: /boot/initramfs-3.6.3-3.fc18.x86_64.img
Found linux image: /boot/vmlinuz-3.6.2-2.fc18.x86_64
Found initrd image: /boot/initramfs-3.6.2-2.fc18.x86_64.img
Found linux image: /boot/vmlinuz-3.6.1-1.fc18.x86_64
Found initrd image: /boot/initramfs-3.6.1-1.fc18.x86_64.img
  No volume groups found
Found Windows 8 (loader) on /dev/sda1
done
---


Version-Release number of selected component (if applicable):
grub2-2.00-12.fc18.x86_64

How reproducible:
everytime, while run command 'grub2-mkconfig'

Steps to Reproduce:
1. export LANG=pa_IN.UTF-8
2. $grub2-mkconfig
3.
  
Actual results:
result is error while configure Windows

Expected results:
it should not produce error

Additional info:

working with other locale (zh_TW/zh_CN), may be issue with pa.po translation only.
Comment 1 A S Alam 2012-10-27 07:05:42 EDT
removing translation of following line fix error, but not sure how translation was wrong:

---
#: util/grub.d/10_windows.in:85
msgid "Found %s on %s (%s)\\n"
msgstr "%2$s (%3$s) ਉੱਤੇ %1$s ਲੱਭਿਆ\\n"
---
Comment 2 Mads Kiilerich 2012-10-27 09:44:08 EDT
It is "just" a cosmetic error and missing localization, right?

Realistically, the way to make progress here is that you contact upstream / the translator and make sure the translation is (or has been) fixed.
Comment 4 Fedora End Of Life 2013-12-21 04:12:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jens Petersen 2014-01-22 01:36:30 EST
The translation looks unchanged in F21 Rawhide.
Comment 6 Satyabrata Maitra 2014-01-22 04:15:35 EST
Tested in F19 so far. It is getting reproduced here. Yet to test in F20 and F21(any stable tree available)

terminal messages for f19 :
LANG=pa_IN.UTF-8 sudo grub2-mkconfig -o /boot/grub2/grub.cfg
[sudo] password for smaitra: 
...grub.cfg ਤਿਆਰ ਕੀਤੀ ਜਾ ਰਹੀ ਹੈ
ਥੀਮ ਲੱਭਿਆ: /boot/grub2/themes/system/theme.txt
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.10.9-200.fc19.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.10.9-200.fc19.x86_64.img
/usr/share/grub/grub-mkconfig_lib: line 270: printf: `�': invalid format character
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.10.4-300.fc19.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.10.4-300.fc19.x86_64.img
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-3.9.9-302.fc19.x86_64
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-3.9.9-302.fc19.x86_64.img
linux ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/vmlinuz-0-rescue-69d27b356a94476da859461d3a3bc6fd
initrd ਈਮੇਜ਼ ਲੱਭਿਆ: /boot/initramfs-0-rescue-69d27b356a94476da859461d3a3bc6fd.img
Found linux image: /boot/vmlinuz-3.10.9-200.fc19.x86_64
Found initrd image: /boot/initramfs-3.10.9-200.fc19.x86_64.img
Found linux image: /boot/vmlinuz-3.10.4-300.fc19.x86_64
Found initrd image: /boot/initramfs-3.10.4-300.fc19.x86_64.img
Found linux image: /boot/vmlinuz-3.9.9-302.fc19.x86_64
Found initrd image: /boot/initramfs-3.9.9-302.fc19.x86_64.img
/usr/share/grub/grub-mkconfig_lib: line 270: printf: `$': invalid format character
Comment 7 Satyabrata Maitra 2014-01-22 05:12:41 EST
But it did not reproduced in F20.

Terminal messages for F20 : 

LANG=pa_IN.UTF-8 grub2-mkconfig -o /boot/grub2/grub.cfgGenerating grub.cfg ...
Found linux image: /boot/vmlinuz-3.11.6-300.fc20.x86_64
Found initrd image: /boot/initramfs-3.11.6-300.fc20.x86_64.img
Found linux image: /boot/vmlinuz-0-rescue-6382c20468bcca078c43249920fc3983
Found initrd image: /boot/initramfs-0-rescue-6382c20468bcca078c43249920fc3983.img
done
****


Tried couple of F21 and rawhide tree for the installation, but failed with traceback in vm.
Comment 8 Jens Petersen 2014-01-22 20:23:18 EST
Thanks for testing! :)

I bumped the version for you.
Comment 9 Fedora End Of Life 2015-01-09 12:26:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 09:32:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.